Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zagg.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 12537)
@@ -2,5 +2,6 @@
    !!======================================================================
    !!                         ***  MODULE p4zagg  ***
-   !! TOP :  PISCES  aggregation of particles
+   !! TOP :  PISCES  aggregation of particles (DOC, POC, GOC)
+   !!        This module is the same for both PISCES and PISCES-QUOTA
    !!======================================================================
    !! History :   1.0  !  2004     (O. Aumont) Original code
@@ -35,7 +36,14 @@
       !!                     ***  ROUTINE p4z_agg  ***
       !!
-      !! ** Purpose :   Compute aggregation of particles
+      !! ** Purpose :   Compute aggregation of particle. Aggregation by 
+      !!                brownian motion, differential settling and shear
+      !!                are considered.
       !!
-      !! ** Method  : - ???
+      !! ** Method  : - Aggregation rates are computed assuming a fixed and 
+      !!                constant size spectrum in the different particulate 
+      !!                pools. The coagulation rates have been computed 
+      !!                externally using dedicated programs (O. Aumont). They 
+      !!                are hard-coded because they can't be changed 
+      !!                independently of each other. 
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt, knt   !
@@ -53,6 +61,9 @@
       IF( ln_timing )   CALL timing_start('p4z_agg')
       !
-      !  Exchange between organic matter compartments due to coagulation/disaggregation
+      !  Exchange between organic matter compartments due to 
+      !  coagulation/disaggregation
       !  ---------------------------------------------------
+
+      ! PISCES part
       IF( ln_p4z ) THEN
          !
@@ -62,11 +73,12 @@
                   !
                   zfact = xstep * xdiss(ji,jj,jk)
-                  !  Part I : Coagulation dependent on turbulence
+                  ! Part I : Coagulation dependent on turbulence
+                  ! The stickiness has been assumed to be 0.1
                   zagg1 = 25.9  * zfact * trb(ji,jj,jk,jppoc) * trb(ji,jj,jk,jppoc)
                   zagg2 = 4452. * zfact * trb(ji,jj,jk,jppoc) * trb(ji,jj,jk,jpgoc)
 
                   ! Part II : Differential settling
-
-                  !  Aggregation of small into large particles
+                  ! Aggregation of small into large particles
+                  ! The stickiness has been assumed to be 0.1
                   zagg3 =  47.1 * xstep * trb(ji,jj,jk,jppoc) * trb(ji,jj,jk,jpgoc)
                   zagg4 =  3.3  * xstep * trb(ji,jj,jk,jppoc) * trb(ji,jj,jk,jppoc)
@@ -79,4 +91,5 @@
                   ! 2nd term is shear aggregation of DOC-POC
                   ! 3rd term is differential settling of DOC-POC
+                  ! 1/3 of DOC is supposed to experience aggregation (HMW)
                   zaggdoc  = ( ( 0.369 * 0.3 * trb(ji,jj,jk,jpdoc) + 102.4 * trb(ji,jj,jk,jppoc) ) * zfact       &
                   &            + 2.4 * xstep * trb(ji,jj,jk,jppoc) ) * 0.3 * trb(ji,jj,jk,jpdoc)
@@ -84,4 +97,5 @@
                   ! 1st term is shear aggregation
                   ! 2nd term is differential settling 
+                  ! 1/3 of DOC is supposed to experience aggregation (HMW)
                   zaggdoc2 = ( 3.53E3 * zfact + 0.1 * xstep ) * trb(ji,jj,jk,jpgoc) * 0.3 * trb(ji,jj,jk,jpdoc)
                   ! tranfer of DOC to POC due to brownian motion
@@ -103,4 +117,5 @@
       ELSE    ! ln_p5z
         !
+        ! PISCES-QUOTA part
          DO jk = 1, jpkm1
             DO jj = 1, jpj
@@ -109,4 +124,5 @@
                   zfact = xstep * xdiss(ji,jj,jk)
                   !  Part I : Coagulation dependent on turbulence
+                  ! The stickiness has been assumed to be 0.1
                   zaggtmp = 25.9  * zfact * trb(ji,jj,jk,jppoc)
                   zaggpoc1 = zaggtmp * trb(ji,jj,jk,jppoc)
@@ -115,4 +131,5 @@
 
                   ! Part II : Differential settling
+                  ! The stickiness has been assumed to be 0.1
    
                   !  Aggregation of small into large particles
@@ -131,4 +148,5 @@
                   ! 2nd term is shear aggregation of DOC-POC
                   ! 3rd term is differential settling of DOC-POC
+                  ! 1/3 of DOC is supposed to experience aggregation (HMW)
                   zaggtmp = ( ( 0.369 * 0.3 * trb(ji,jj,jk,jpdoc) + 102.4 * trb(ji,jj,jk,jppoc) ) * zfact       &
                   &            + 2.4 * xstep * trb(ji,jj,jk,jppoc) )
@@ -140,4 +158,5 @@
                   ! 1st term is shear aggregation
                   ! 2nd term is differential settling 
+                  ! 1/3 of DOC is supposed to experience aggregation (HMW)
                   zaggtmp = ( 3.53E3 * zfact + 0.1 * xstep ) * trb(ji,jj,jk,jpgoc)
                   zaggdoc2 = zaggtmp * 0.3 * trb(ji,jj,jk,jpdoc)
@@ -146,4 +165,5 @@
 
                   ! tranfer of DOC to POC due to brownian motion
+                  ! 1/3 of DOC is supposed to experience aggregation (HMW)
                   zaggtmp = ( 114. * 0.3 * trb(ji,jj,jk,jpdoc) ) * xstep
                   zaggdoc3 =  zaggtmp * 0.3 * trb(ji,jj,jk,jpdoc)
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zbio.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 12537)
@@ -2,8 +2,10 @@
    !!======================================================================
    !!                         ***  MODULE p4zbio  ***
-   !! TOP :   PISCES bio-model
+   !! TOP :   PISCES biogeochemical model
+   !!         This module is for both PISCES and PISCES-QUOTA
    !!======================================================================
    !! History :   1.0  !  2004     (O. Aumont) Original code
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
+   !!             3.6  ! 2015 (O. Aumont) PISCES-QUOTA
    !!----------------------------------------------------------------------
    !!   p4z_bio        :   computes the interactions between the different
@@ -50,6 +52,6 @@
       !!
       !! ** Purpose :   Ecosystem model in the whole ocean: computes the
-      !!              different interactions between the different compartments
-      !!              of PISCES
+      !!                different interactions between the different compartments
+      !!                of PISCES
       !!
       !! ** Method  : - ???
@@ -62,14 +64,11 @@
       !
       IF( ln_timing )   CALL timing_start('p4z_bio')
-      !
-      !     ASSIGN THE SHEAR RATE THAT IS USED FOR AGGREGATION
-      !     OF PHYTOPLANKTON AND DETRITUS
 
+      ! ASSIGN THE SHEAR RATE THAT IS USED FOR AGGREGATION
+      ! OF PHYTOPLANKTON AND DETRITUS
       xdiss(:,:,:) = 1.
-!!gm the use of nmld should be better here?
       DO jk = 2, jpkm1
          DO jj = 1, jpj
             DO ji = 1, jpi
-!!gm  :  use nmln  and test on jk ...  less memory acces
                IF( gdepw_n(ji,jj,jk+1) > hmld(ji,jj) )   xdiss(ji,jj,jk) = 0.01
             END DO 
@@ -77,5 +76,5 @@
       END DO
 
-      CALL p4z_opt     ( kt, knt )     ! Optic: PAR in the water column
+      CALL p4z_opt     ( kt, knt )     ! Optics: PAR in the water column
       CALL p4z_sink    ( kt, knt )     ! vertical flux of particulate organic matter
       CALL p4z_fechem  ( kt, knt )     ! Iron chemistry/scavenging
@@ -87,14 +86,14 @@
          CALL p4z_mort ( kt      )     ! phytoplankton mortality
          !                             ! zooplankton sources/sinks routines 
-         CALL p4z_micro( kt, knt )           ! microzooplankton
-         CALL p4z_meso ( kt, knt )           ! mesozooplankton
+         CALL p4z_micro( kt, knt )     ! microzooplankton
+         CALL p4z_meso ( kt, knt )     ! mesozooplankton
       ELSE
          CALL p5z_lim  ( kt, knt )     ! co-limitations by the various nutrients
          CALL p5z_prod ( kt, knt )     ! phytoplankton growth rate over the global ocean. 
-         !                             ! (for each element : C, Si, Fe, Chl )
+         !                             ! (for each element : C, N, P, Si, Fe, Chl )
          CALL p5z_mort ( kt      )     ! phytoplankton mortality
          !                             ! zooplankton sources/sinks routines 
-         CALL p5z_micro( kt, knt )           ! microzooplankton
-         CALL p5z_meso ( kt, knt )           ! mesozooplankton
+         CALL p5z_micro( kt, knt )     ! microzooplankton
+         CALL p5z_meso ( kt, knt )     ! mesozooplankton
       ENDIF
       !
@@ -103,7 +102,9 @@
       CALL p4z_poc     ( kt, knt )     ! Remineralization of organic particles
       !
+      ! Ligand production. ln_ligand should be set .true. to activate
       IF( ln_ligand )  &
       & CALL p4z_ligand( kt, knt )
-      ! Update of the size of the organisms
+
+      ! Update of the size of the different phytoplankton groups
       IF (ln_p5z) THEN
          sized(:,:,:) = sizeda(:,:,:)
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zint.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zint.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zint.F90	(revision 12537)
@@ -1,7 +1,7 @@
 MODULE p4zint
-   !!======================================================================
+   !!=========================================================================
    !!                         ***  MODULE p4zint  ***
    !! TOP :   PISCES interpolation and computation of various accessory fields
-   !!======================================================================
+   !!=========================================================================
    !! History :   1.0  !  2004-03 (O. Aumont) Original code
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
@@ -43,10 +43,14 @@
       ! Computation of phyto and zoo metabolic rate
       ! -------------------------------------------
+      ! Generic temperature dependence (Eppley, 1972)
       tgfunc (:,:,:) = EXP( 0.063913 * tsn(:,:,:,jp_tem) )
+      ! Temperature dependence of mesozooplankton (Buitenhuis et al. (2005))
       tgfunc2(:,:,:) = EXP( 0.07608  * tsn(:,:,:,jp_tem) )
+      ! Temperature dependence of picophytoplankton (Stawiarsky et al., 2016)
       tgfunc3(:,:,:) = EXP( 0.0825   * tsn(:,:,:,jp_tem) )
 
       ! Computation of the silicon dependant half saturation  constant for silica uptake
-      ! ---------------------------------------------------
+      ! This is based on an old study by Pondaven et al. (1998)
+      ! --------------------------------------------------------------------------------
       DO ji = 1, jpi
          DO jj = 1, jpj
@@ -56,4 +60,8 @@
       END DO
       !
+      ! At the end of each year, the half saturation constant for silica is 
+      ! updated as this is based on the highest concentration reached over 
+      ! the year
+      ! -------------------------------------------------------------------
       IF( nday_year == nyear_len(1) ) THEN
          xksi   (:,:) = xksimax(:,:)
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zlim.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zlim.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zlim.F90	(revision 12537)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                         ***  MODULE p4zlim  ***
-   !! TOP :   PISCES 
+   !! TOP :   Computes the nutrient limitation terms of phytoplankton
    !!======================================================================
    !! History :   1.0  !  2004     (O. Aumont) Original code
@@ -14,17 +14,17 @@
    USE trc             ! Tracers defined
    USE sms_pisces      ! PISCES variables
-   USE iom             !  I/O manager
+   USE iom             ! I/O manager
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC p4z_lim    
-   PUBLIC p4z_lim_init    
-   PUBLIC p4z_lim_alloc
+   PUBLIC p4z_lim           ! called in p4zbio.F90 
+   PUBLIC p4z_lim_init      ! called in trcsms_pisces.F90 
+   PUBLIC p4z_lim_alloc     ! called in trcini_pisces.F90
 
    !! * Shared module variables
    REAL(wp), PUBLIC ::  concnno3    !:  NO3, PO4 half saturation   
    REAL(wp), PUBLIC ::  concdno3    !:  Phosphate half saturation for diatoms  
-   REAL(wp), PUBLIC ::  concnnh4    !:  NH4 half saturation for phyto  
+   REAL(wp), PUBLIC ::  concnnh4    !:  NH4 half saturation for nanophyto  
    REAL(wp), PUBLIC ::  concdnh4    !:  NH4 half saturation for diatoms
    REAL(wp), PUBLIC ::  concnfer    !:  Iron half saturation for nanophyto 
@@ -46,21 +46,21 @@
 
    !!* Phytoplankton limitation terms
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanono3   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatno3   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanonh4   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatnh4   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanopo4   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatpo4   !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimphy    !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimdia    !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimnfe    !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimdfe    !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimsi     !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimbac    !: ??
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimbacl   !: ??
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   concdfe    !: ???
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   concnfe    !: ???
-
-   ! Coefficient for iron limitation
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanono3   !: Nanophyto limitation by NO3
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatno3   !: Diatoms limitation by NO3
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanonh4   !: Nanophyto limitation by NH4
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatnh4   !:  Diatoms limitation by NH4
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xnanopo4   !: Nanophyto limitation by PO4
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xdiatpo4   !: Diatoms limitation by PO4
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimphy    !: Nutrient limitation term of nanophytoplankton
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimdia    !: Nutrient limitation term of diatoms
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimnfe    !: Nanophyto limitation by Iron
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimdfe    !: Diatoms limitation by iron
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimsi     !: Diatoms limitation by Si
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimbac    !: Bacterial limitation term
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   xlimbacl   !: Bacterial limitation term
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   concdfe    !: Limitation of diatoms uptake of Fe
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  ::   concnfe    !: Limitation of Nano uptake of Fe
+
+   ! Coefficient for iron limitation following Flynn and Hipkin (1999)
    REAL(wp) ::  xcoef1   = 0.0016  / 55.85  
    REAL(wp) ::  xcoef2   = 1.21E-5 * 14. / 55.85 / 7.625 * 0.5 * 1.5
@@ -79,7 +79,7 @@
       !!
       !! ** Purpose :   Compute the co-limitations by the various nutrients
-      !!              for the various phytoplankton species
-      !!
-      !! ** Method  : - ???
+      !!                for the various phytoplankton species
+      !!
+      !! ** Method  : - Limitation follows the Liebieg law of the minimum
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in)  :: kt, knt
@@ -99,6 +99,7 @@
             DO ji = 1, jpi
                
-               ! Tuning of the iron concentration to a minimum level that is set to the detection limit
-               !-------------------------------------
+               ! Tuning of the iron concentration to a minimum level that 
+               ! is set to the detection limit
+               ! --------------------------------------------------------
                zno3    = trb(ji,jj,jk,jpno3) / 40.e-6
                zferlim = MAX( 3e-11 * zno3 * zno3, 5e-12 )
@@ -106,7 +107,7 @@
                trb(ji,jj,jk,jpfer) = MAX( trb(ji,jj,jk,jpfer), zferlim )
 
-               ! Computation of a variable Ks for iron on diatoms taking into account
+               ! Computation of a variable Ks of diatoms taking into account
                ! that increasing biomass is made of generally bigger cells
-               !------------------------------------------------
+               !------------------------------------------------------------
                zconcd   = MAX( 0.e0 , trb(ji,jj,jk,jpdia) - xsizedia )
                zconcd2  = trb(ji,jj,jk,jpdia) - zconcd
@@ -124,6 +125,7 @@
                zconc0nnh4        = MAX( concnnh4, ( zconcn2 * concnnh4 + concnnh4 * xsizern * zconcn ) * z1_trbphy )
 
-               ! Michaelis-Menten Limitation term for nutrients Small bacteria
-               ! -------------------------------------------------------------
+               ! Michaelis-Menten Limitation term by nutrients of
+               ! heterotrophic bacteria
+               ! -------------------------------------------------
                zdenom = 1. /  ( concbno3 * concbnh4 + concbnh4 * trb(ji,jj,jk,jpno3) + concbno3 * trb(ji,jj,jk,jpnh4) )
                xnanono3(ji,jj,jk) = trb(ji,jj,jk,jpno3) * concbnh4 * zdenom
@@ -134,9 +136,12 @@
                zlim3    = trb(ji,jj,jk,jpfer) / ( concbfe + trb(ji,jj,jk,jpfer) )
                zlim4    = trb(ji,jj,jk,jpdoc) / ( xkdoc   + trb(ji,jj,jk,jpdoc) )
+               ! Xlimbac is used for DOC solubilization whereas xlimbacl
+               ! is used for all the other bacterial-dependent terms
+               ! -------------------------------------------------------
                xlimbacl(ji,jj,jk) = MIN( zlim1, zlim2, zlim3 )
                xlimbac (ji,jj,jk) = MIN( zlim1, zlim2, zlim3 ) * zlim4
 
-               ! Michaelis-Menten Limitation term for nutrients Small flagellates
-               ! -----------------------------------------------
+               ! Michaelis-Menten Limitation term by nutrients: Nanophyto
+               ! --------------------------------------------------------
                zdenom = 1. /  ( zconc0n * zconc0nnh4 + zconc0nnh4 * trb(ji,jj,jk,jpno3) + zconc0n * trb(ji,jj,jk,jpnh4) )
                xnanono3(ji,jj,jk) = trb(ji,jj,jk,jpno3) * zconc0nnh4 * zdenom
@@ -146,4 +151,8 @@
                zlim2    = trb(ji,jj,jk,jppo4) / ( trb(ji,jj,jk,jppo4) + zconc0nnh4 )
                zratio   = trb(ji,jj,jk,jpnfe) * z1_trbphy 
+
+               ! The minimum iron quota depends on the size of PSU, respiration
+               ! and the reduction of nitrate following the parameterization 
+               ! proposed by Flynn and Hipkin (1999)
                zironmin = xcoef1 * trb(ji,jj,jk,jpnch) * z1_trbphy + xcoef2 * zlim1 + xcoef3 * xnanono3(ji,jj,jk)
                zlim3    = MAX( 0.,( zratio - zironmin ) / qnfelim )
@@ -151,7 +160,7 @@
                xlimnfe (ji,jj,jk) = MIN( 1., zlim3 )
                xlimphy (ji,jj,jk) = MIN( zlim1, zlim2, zlim3 )
-               !
-               !   Michaelis-Menten Limitation term for nutrients Diatoms
-               !   ----------------------------------------------
+               
+               !   Michaelis-Menten Limitation term by nutrients : Diatoms
+               !   -------------------------------------------------------
                zdenom   = 1. / ( zconc1d * zconc1dnh4 + zconc1dnh4 * trb(ji,jj,jk,jpno3) + zconc1d * trb(ji,jj,jk,jpnh4) )
                xdiatno3(ji,jj,jk) = trb(ji,jj,jk,jpno3) * zconc1dnh4 * zdenom
@@ -162,4 +171,8 @@
                zlim3    = trb(ji,jj,jk,jpsil) / ( trb(ji,jj,jk,jpsil) + xksi(ji,jj) )
                zratio   = trb(ji,jj,jk,jpdfe) * z1_trbdia
+
+               ! The minimum iron quota depends on the size of PSU, respiration
+               ! and the reduction of nitrate following the parameterization 
+               ! proposed by Flynn and Hipkin (1999)
                zironmin = xcoef1 * trb(ji,jj,jk,jpdch) * z1_trbdia + xcoef2 * zlim1 + xcoef3 * xdiatno3(ji,jj,jk)
                zlim4    = MAX( 0., ( zratio - zironmin ) / qdfelim )
@@ -173,4 +186,6 @@
 
       ! Compute the fraction of nanophytoplankton that is made of calcifiers
+      ! This is a purely adhoc formulation described in Aumont et al. (2015)
+      ! This fraction depends on nutrient limitation, light, temperature
       ! --------------------------------------------------------------------
       DO jk = 1, jpkm1
@@ -206,5 +221,5 @@
                nitrfac(ji,jj,jk) = MIN( 1., nitrfac(ji,jj,jk) )
                !
-               ! denitrification factor computed from NO3 levels
+               ! redox factor computed from NO3 levels
                nitrfac2(ji,jj,jk) = MAX( 0.e0,       ( 1.E-6 - trb(ji,jj,jk,jpno3) )  &
                   &                                / ( 1.E-6 + trb(ji,jj,jk,jpno3) ) )
@@ -215,5 +230,5 @@
       !
       IF( lk_iomput .AND. knt == nrdttrc ) THEN        ! save output diagnostics
-        IF( iom_use( "xfracal" ) )   CALL iom_put( "xfracal", xfracal(:,:,:) * tmask(:,:,:) )  ! euphotic layer deptht
+        IF( iom_use( "xfracal" ) )   CALL iom_put( "xfracal", xfracal(:,:,:) * tmask(:,:,:) )  ! Faction of nanophytoplankton that is calcifiers
         IF( iom_use( "LNnut"   ) )   CALL iom_put( "LNnut"  , xlimphy(:,:,:) * tmask(:,:,:) )  ! Nutrient limitation term
         IF( iom_use( "LDnut"   ) )   CALL iom_put( "LDnut"  , xlimdia(:,:,:) * tmask(:,:,:) )  ! Nutrient limitation term
@@ -231,10 +246,10 @@
       !!                  ***  ROUTINE p4z_lim_init  ***
       !!
-      !! ** Purpose :   Initialization of nutrient limitation parameters
-      !!
-      !! ** Method  :   Read the nampislim namelist and check the parameters
+      !! ** Purpose :   Initialization of the nutrient limitation parameters
+      !!
+      !! ** Method  :   Read the namp4zlim namelist and check the parameters
       !!      called at the first timestep (nittrc000)
       !!
-      !! ** input   :   Namelist nampislim
+      !! ** input   :   Namelist namp4zlim
       !!
       !!----------------------------------------------------------------------
@@ -252,8 +267,8 @@
       ENDIF
       !
-      REWIND( numnatp_ref )              ! Namelist nampislim in reference namelist : Pisces nutrient limitation parameters
+      REWIND( numnatp_ref )              ! Namelist namp4zlim in reference namelist : Pisces nutrient limitation parameters
       READ  ( numnatp_ref, namp4zlim, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zlim in reference namelist' )
-      REWIND( numnatp_cfg )              ! Namelist nampislim in configuration namelist : Pisces nutrient limitation parameters 
+      REWIND( numnatp_cfg )              ! Namelist namp4zlim in configuration namelist : Pisces nutrient limitation parameters 
       READ  ( numnatp_cfg, namp4zlim, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zlim in configuration namelist' )
